<?php

require_once './ytx.Api.php';

$demo = new ytx();
/**
 * 话单获取
 * @param fid 语音验证码（fid="2"） 电话回拨（fid="4"） 电话会议（fid="5"）
 * @param lastresid  从requestid开始拉取话单。若是第一次获取话单则lastresid="0",此时limit不能为0。
 * @param limit limit=0，获取requestid= lastresid的一条话单；limit>0，获取requestid >= lastresid的limit个话单；如果limit<0，表示获取requestid >= lastresid的所有话单
 * @param pdate   采用某小时话单获取话单所必需的参数，为索要获取话单所在的日期（年月日）。
 * @param ptime   采用某小时话单获取话单所必需的参数，为索要获取话单所在的时（24时刻制，例如2016年2月25日下午七点的所有话单：pdate="2016-02-25",ptime="19"）。
 */
$fid = 2;
#增量方式话单
$action = "getCdrByResId";
$lastresid = 0;
$limit = 10;

#某小时话单
/* $action = "getCdrByTime";
  $pdate="2016-03-07";
  $ptime="10"; */

$ret = $demo->callCdr($action, $fid, $lastresid, $limit, $pdate, $ptime);
$demo->print_kv($ret);
